## sqlite 2.8.17

=== debian/changelog ===
sqlite (2.8.17-15fakesync1build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 20:04:25 +0000

sqlite (2.8.17-15fakesync1) disco-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Dec 2018 16:32:40 +0100

sqlite (2.8.17-15) unstable; urgency=medium

  * Make the package multiarch.
  * Drop incorrect hunks from lemon patch (closes: #895642).
  * Fix package installation.
  * Fix test compilation.
  * Ignore test failures for known problems.
  * Make rebuildable.
  * Update debhelper level to 11:
    - don't specify parallel to debhelper.
  * Update Standards-Version to 4.1.5 .

  [ Aurelien Jarno <aurelien@aurel32.net> ]
  * Fix FTBFS with GCC 7/8 on architectures with unsigned char
    (closes: #872535).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Aug 2018 21:19:22 +0000

sqlite (2.8.17-14) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (closes: #850428):
    + Tell configure what compilers to use
    + 06-cross.patch: Fix wrong uses of AC_CHECK_FILE

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Jan 2017 16:35:02 +0000

sqlite (2.8.17-13) unstable; urgency=low

  * Build with hardening.
  * Provide debug packages (closes: #312006).
  * Keep rebuildable.
  * Update Standards-Version to 3.9.8 .

  [ Aaron Hall <ahall@vitaphone.net> ]
  * Note in description that it's SQLite v2, not v3 (closes: #774174).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 10:42:12 +0000

sqlite (2.8.17-12) unstable; urgency=low

  * Sync with Ubuntu.

  [ Adam Conrad <adconrad@ubuntu.com> ]
  * Update config.{sub,guess} too, autoreconf isn't enough for this
    (closes: #727510).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Aug 2014 21:32:41 +0000

sqlite (2.8.17-11) unstable; urgency=low

  * Move to Tcl 8.6 .

  [ Peter Michael Green <plugwash@debian.org> ]
  * Add code in debian/rules to make build use appropriate tclsh
    (closes: #746058).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 May 2014 12:14:25 +0000

sqlite (2.8.17-10) unstable; urgency=low

  * Update Standards-Version to 3.9.5 .

  [ Wookey <wookey@debian.org> ] 
  * Update config.{sub.guess} automatically (closes: #727510).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jan 2014 15:07:43 +0000

sqlite (2.8.17-9) unstable; urgency=low

  * Move to short debhelper rules and 3.0 (quilt) source format
    (closes: #725539).
  * Run tests but don't fail on them.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Oct 2013 12:04:56 +0000

sqlite (2.8.17-8) unstable; urgency=low

  * Refresh auto* files and move to automake 1.13 (closes: #710341, #713180).
  * Add missing headers.
  * Fix pkgIndex.tcl for proper import.
  * Update to Standards-Version 3.9.4 .
  * Move to debhelper level 8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Jul 2013 18:06:30 +0200

sqlite (2.8.17-7) unstable; urgency=low

  * Fix upstream mistake of missing format argument in fprintf
    (closes: #646032).
  * Empty dependency_list in libsqlite.la .
  * Update packaging and its dependencies.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 25 Oct 2011 00:55:38 +0200

sqlite (2.8.17-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by replacing DEB_BUILD_MAKE_TARGET with 
    DEB_MAKE_BUILD_TARGET. Thanks to Daniel Schepler for the patch
    (closes: #618154).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 02 Aug 2011 19:06:03 +0200

sqlite (2.8.17-6) unstable; urgency=low

  * Change readline build dependency to plain libreadline-dev (version 6 ATM).
  * Fix version in pkgIndex.tcl (closes: #483993).
  * Register with doc-base (closes: #452390).
  * Fix section to be database.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 13 Sep 2009 15:14:27 +0000

sqlite (2.8.17-5) unstable; urgency=low

  [ Daniel Schepler ]
  * Fix FTBFS due to libtool version mismatch error (closes: #544437).

  [ Laszlo Boszormenyi ]
  * Update debhelper compatibility to 6 and standards-version to 3.8.3 ;
    add missing ${misc:Depends} to depends lines and fix Tcl spelling.
  * Don't use watch for now, upstream doesn't seem to host this version
    anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 03 Sep 2009 18:30:44 +0000

sqlite (2.8.17-4) unstable; urgency=low

  * Fixed upstream Makefile.in not to lose doc/lemon.html and
    doc/report1.txt on rebuilds (closes: #441725).
  * Corrected debian/watch file.
  * Removed debconf message, was horribly old and outdated. Thanks again to
    everyone who contributed with translations.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu,  4 Oct 2007 11:39:25 +0200

sqlite (2.8.17-3) unstable; urgency=medium

  * Accept Nico's quick security fix related upload (closes: #441233).
  * Add Italian and Catalan debconf translations, thanks to Luca Monducci and
    Jorda Polo respectively (closes: #426155, #412582).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 08 Sep 2007 10:53:33 +0300

sqlite (2.8.17-2.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Included 01-fix-CVE-2007-1888.patch to fix buffer overflow
    in encode.c (CVE-2007-1888) (Closes: #441233).

 -- Nico Golde <nion@debian.org>  Fri, 07 Sep 2007 17:47:03 +0200

sqlite (2.8.17-2) unstable; urgency=low

  * Add Galician (closes: #407958), Russian (closes: #397167) and Spanish
    (closes: #403493) debconf translations.
  * Correct Portuguese debconf translation filename (closes: #404167).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 30 Jan 2007 18:03:13 +0000

sqlite (2.8.17-1) unstable; urgency=low

  * New upstream release (closes: #357168) and new maintainer with ACK from
    Andreas. Thanks for your previous work Rotty!
  * Added possibility to configure with cdebconf (closes: #332102).

