## sqlite numpy-0.1.0

=== requirements.txt ===
black==19.3b0
Cython==0.29.13
flake8==3.7.8
isort==4.3.21
mypy==0.761
numpy==1.17.3
pytest==5.2.1
pytest-asyncio==0.10.0
wheel==0.33.6
