## sqlite wrapper

=== Makefile ===
CC=gcc -Wall
SQLITE_LIBS=-L/usr/local/lib -lsqlite3

make : test

test : sqlite_wrapper.o test.c
	$(CC) test.c sqlite_wrapper.o -o test $(SQLITE_LIBS)

sqlite_wrapper.o : sqlite_wrapper.c sqlite_wrapper.h
	$(CC) sqlite_wrapper.c -c
